Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Interface DSAEncoder

    public interface DSAEncoder

Method Summary
`java.math.BigInteger[]` `decode(byte[] sig)`
`byte[]` `encode(java.math.BigInteger r, java.math.BigInteger s)`

Method Detail

### encode

    byte[] encode(java.math.BigInteger r,
                  java.math.BigInteger s)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    java.math.BigInteger[] decode(byte[] sig)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.45